FreeBSD: file -- ヒープバッファオーバーフローの可能性(381deebb-f5c9-11e9-9c4f-74d435e60b7c)

high Nessus プラグイン ID 130494

言語:

New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのFreeBSDホストに、セキュリティ関連の更新プログラムがありません。

説明

mitreによる報告

5.37までのファイルにおいてcdf.cのcdf_read_property_infoにCDF_VECTOR要素の数の制限がないため、ヒープベースのバッファオーバーフロー(4バイトの領域外書き込み)の可能性があります。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=16780

http://www.nessus.org/u?6f9dcde7

http://www.nessus.org/u?8288493e

プラグインの詳細

深刻度: High

ID: 130494

ファイル名: freebsd_pkg_381deebbf5c911e99c4f74d435e60b7c.nasl

バージョン: 1.1

タイプ: local

公開日: 2019/11/4

更新日: 2019/11/4

依存関係: ssh_get_info.nasl

脆弱性情報

CPE: p-cpe:/a:freebsd:freebsd:file, cpe:/o:freebsd:freebsd

必要な KB アイテム: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

パッチ公開日: 2019/11/2

脆弱性公開日: 2019/8/26